
UI.AddLabel("------------OT-------------")
UI.AddLabel ("This js made from a template but")
UI.AddLabel ("-Rauurw#9707 is updating this script")
UI.AddLabel ("")

UI.AddLabel("Keylist settings")
    /*UI.AddCheckbox("keylist line")
        UI.AddColorPicker("keylist line color")
    UI.AddCheckbox("main outline")
        UI.AddColorPicker("main outline color")
    UI.AddCheckbox("list outline")
        UI.AddColorPicker("list outline color")*/
    UI.AddSliderInt("y offset[keylist]", 0, Render.GetScreenSize()[1])
	    UI.AddSliderInt("x offset[watermark]", 0, Render.GetScreenSize()[0])
    UI.AddSliderInt("y offset[watermark]", 0, Render.GetScreenSize()[1])
UI.AddLabel("Watermark settings")
UI.AddLabel("1 is your name")
UI.AddDropdown("Style", ["Disabled", "Active"]);

function neverlose_keys()
{
//
//
//

    var str = [];

    if (UI.IsHotkeyActive("Misc", "JAVASCRIPT", "Script items","override hotkey"))
    {
        str.push("Minimum Damage")
    }
    if (UI.IsHotkeyActive("Rage", "GENERAL", "Doubletap"))
    {
        str.push("Doubletap")
    }
    if (UI.IsHotkeyActive("Rage", "GENERAL", "Exploits", "Hide shots"))
    {
        str.push("Hide Shots")
    }
    if (UI.IsHotkeyActive("Rage", "GENERAL", "General", "Force body aim"))
    {
        str.push("Baim")
    }
    if (UI.IsHotkeyActive("Rage", "GENERAL", "General", "Force safe point"))
    {
        str.push("Safe Points")
    }
    if (UI.IsHotkeyActive("Rage", "GENERAL", "General", "Resolver override"))
    {
        str.push("Resolver Override")
    }
    if (UI.IsHotkeyActive("Misc", "GENERAL", "Movement", "Auto peek"))
    {
        str.push("Auto Peek")
    }
    if (UI.IsHotkeyActive("Anti-Aim", "Extra", "Fake duck"))
    {
        str.push("Fake Duck")
    }
    if (UI.IsHotkeyActive("Anti-Aim", "Extra", "Slow walk"))
    {
        str.push("Slow Walk")
    }
    if (UI.IsHotkeyActive("Anti-Aim", "Fake angles", "Inverter"))
    {
        str.push("AA Inverter")
    }
	
//
//
//

    const x = UI.GetValue("Misc", "JAVASCRIPT", "Script items", "x offset[keylist]")
    const y = UI.GetValue("Misc", "JAVASCRIPT", "Script items", "y offset[keylist]")
		  	  Render.GradientRect(x, y + 5, 185, 14, 100, [0,0,0,120], [0,0,0,0])
  for (i = 0; i < str.length; i++)
  {
    Render.FilledRect(x, y + 19, 170, 19.5 + 20 * (str.length - 0.7), [0,0,0,0])
	    Render.Rect(x, y + 19, 170, 19.5 + 20 * (str.length - 0.7), [0,0,0,0])
  }

/*    if (UI.GetValue("Misc", "JAVASCRIPT", "Script items", "main outline"))
    {
        var mo_color = UI.GetColor("Misc", "JAVASCRIPT", "Script items", "main outline color")
        Render.Rect(x, y, 170, 17, mo_color)
    }

    if (UI.GetValue("Misc", "JAVASCRIPT", "Script items", "list outline"))
    {
        var lo_color = UI.GetColor("Misc", "JAVASCRIPT", "Script items", "list outline color")
        Render.Rect(x, y + 17, 170, 19.5 + 15 * (str.length - 1.15), lo_color)
    }

    if (UI.GetValue("Misc", "JAVASCRIPT", "Script items", "keylist line"))
    {
        var kl_color = UI.GetColor("Misc", "JAVASCRIPT", "Script items", "keylist line color")
        Render.FilledRect(x, y + 20, 185, 3, kb_color)
    }*/

    for (i = 0; i < str.length; i++)
    {
        Render.String(x + 30, y + 20 + 19* i, 0, str[i], [255,255,255,255], 8)
						Render.FilledCircle( x + 9, y + 25 + 19* i, 5, [255,255,255,255] );
						Render.FilledCircle(x + 9, y + 25 + 19* i, 5,[255,255,255,255]);
						Render.FilledCircle(x + 14, y + 21 + 19* i, 1,[255,255,255,255]);
						Render.FilledCircle(x + 13, y + 21 + 19* i, 1,[255,255,255,255]);
						Render.FilledCircle(x + 14, y + 29 + 19* i, 1,[255,255,255,255]);
						Render.FilledCircle(x + 13, y + 29 + 19* i, 1,[255,255,255,255]);
						Render.Circle(x + 17, y + 25 + 19* i, 4,[255,255,255,100]);
						Render.Circle(x + 17, y + 25.3 + 19* i, 4,[255,255,255,100]);
						Render.Circle(x + 17.3, y + 25.3 + 19* i, 4,[255,255,255,100]);
						Render.Circle(x + 16.3, y + 25.3 + 19* i, 4,[255,255,255,100]);
						Render.Circle(x + 16.1, y + 25.3 + 19* i, 4,[255,255,255,100]);
						Render.Circle(x + 17, y + 25.3 + 19* i, 4,[255,255,255,100]);
						Render.Circle(x + 17.3, y + 25.3 + 19* i, 4,[255,255,255,100]);
    }
}

function neverlose_watermark()
{
    const x1 = UI.GetValue("Misc", "JAVASCRIPT", "Script items", "x offset[watermark]")
    const y1 = UI.GetValue("Misc", "JAVASCRIPT", "Script items", "y offset[watermark]")

	var style = UI.GetValue("Script items", "Style");
    var ping = 1 / Local.Latency()
    var ping1 = Math.floor(ping)
    var rate = 1 / Globals.Tickrate()
    var tickrate = Math.floor(rate)
    var framerate = 1 / Globals.Frametime()
    var fps = Math.floor(framerate)
	    var watermark_name = Entity.GetName(Entity.GetLocalPlayer( ));
	//style 1
	if (style == 1)
	{
     Render.GradientRect(x1, 2 + 5, 300, 18, 100, [0,0,0,0], [0,0,0,120])
	 Render.String(x1 + 78, 2 + 7, 0, "" + watermark_name, [255,255,255,255], 9)
	 	 Render.String(x1 + 28, 2 + 6, 0, "onetap", [255,255,255,255], 9)
		 Render.String(x1 + 70, 2 + 6, 0, "|", [255,255,255,255], 9)
		 		 Render.String(x1 + 150, 2 + 6, 0, "|", [255,255,255,255], 9)
			Render.String(x1 + 158, 2 + 7, 0, "local server", [255,255,255,255], 9)
			Render.String(x1 + 228, 2 + 6, 0, "|", [255,255,255,255], 9)
			Render.String(x1 + 237, 2 + 6, 0, "ping", [255,255,255,255], 9)
	}
	 
	    if (ping1 = Infinity)
    {
        Render.String(x1 + 265, y1 + 7, 0, " 0" + "ms", [255,255,255,255], 9)
    }
    else if (ping != Infinity)
    {
        Render.String(x1 + 198, y1 + 7, 0, " " + ping1, [255,255,255,255], 9)
    }
}

UI.AddLabel("------------OT-------------")

function main()
{
    Cheat.RegisterCallback("Draw", "neverlose_keys")
    Cheat.RegisterCallback("Draw", "neverlose_watermark")
}
main();